#LIMITAZIONE DELLA RESPONSABILITA'. 
#Il software  fornito "cos com'", senza garanzie di ogni sorta.
setwd(choose.dir(default = "", caption = "WHERE ARE MICRODATA?"))
direttorio = getwd()
fileInput = paste (direttorio, "/16852.IST229.A.2006.6.ESEMPIO_META.txt", sep="")
Ril229_A2006<- read.delim2 (fileInput,  header=T, sep="\t",  na.strings = ".")
attr(Ril229_A2006, "label") <- c(
"Codice identificativo del lavoratore",
"Sesso del lavoratore",
"Classe di et - quinquiennale",
"Anno solare di riferimento dell'attivit di lavoro",
"Posizione nella professione - attivit di lavoro prevalente nell'anno",
"Regime orario  - attivit di lavoro prevalente nell'anno",
"Tipologia di contratto - attivit di lavoro prevalente nell'anno",
"Regione di lavoro  - attivit di lavoro prevalente nell'anno",
"Ripartizione di lavoro  - attivit di lavoro prevalente nell'anno",
"Codice impresa",
"Attivit economica dell'impresa (2002)",
"Classe di addetti dell'impresa",
"Classificazione della forma giuridica dell'impresa ",
"Classificazione della forma giuridica dell'impresa ")

sesso_Fact <- factor(Ril229_A2006$sesso, 
levels=c(1, 
2), 
labels=c("Femmina", 
"Maschio")) 


classe_et__Fact <- factor(Ril229_A2006$classe_et_, 
levels=c(1, 
2, 
3, 
4, 
5), 
labels=c("15-24", 
"25-34", 
"35-44", 
"45-54", 
"55 oltre")) 


posizione_nella_professione_Fact <- factor(Ril229_A2006$posizione_nella_professione, 
levels=c(1, 
2, 
3, 
4, 
5, 
6), 
labels=c("Operaio", 
"Impiegato", 
"Quadro", 
"Apprendista", 
"Dirigente", 
"Altro")) 


regime_orario_Fact <- factor(Ril229_A2006$regime_orario, 
levels=c(1, 
2), 
labels=c("Full time", 
"Part time")) 


tipo_di_contratto_Fact <- factor(Ril229_A2006$tipo_di_contratto, 
levels=c(1, 
2), 
labels=c("Tempo determinato", 
"Tempo indeterminato")) 


regione_di_lavoro_Fact <- factor(Ril229_A2006$regione_di_lavoro, 
levels=c(1, 
10, 
11, 
12, 
13, 
14, 
15, 
16, 
17, 
18, 
19, 
2, 
20, 
3, 
4, 
5, 
6, 
7, 
8, 
9), 
labels=c("Piemonte", 
"Umbria", 
"Marche", 
"Lazio", 
"Abbruzzo", 
"Molise", 
"Campania", 
"Puglia", 
"Basilicata", 
"Calabria", 
"Sicilia", 
"alle D.Aosta", 
"Sardegna", 
"Lombardia", 
"Trentino Alto Adige", 
"Veneto", 
"Friuli Venezia-Giulia", 
"Liguria", 
"Emilia Romagna", 
"Toscana")) 


ripartizione_di_lavoro_Fact <- factor(Ril229_A2006$ripartizione_di_lavoro, 
levels=c(1, 
2, 
3, 
4, 
5), 
labels=c("Nord ovest", 
"Nord est", 
"Centro", 
"Sud", 
"Isole")) 


Ateco_2002_sezione_Fact <- factor(Ril229_A2006$Ateco_2002_sezione, 
levels=c(0, 
1, 
2, 
3, 
4, 
5, 
6, 
7, 
8), 
labels=c("Agricoltura, caccia e pesca", 
"Attivit manifatturiere ed estrattive e produzione e distribuzione di energia elettrica, acqua e gas", 
"Attivit manifatturiere ed estrattive e produzione e distribuzione di energia elettrica, acqua e gas", 
"Commercio ed alberghi", 
"Trasporti magazzinaggio e comunicazioni", 
"Attivit finanziarie", 
"Attivit immobiliari, noleggio, informatica, ricerca, servizi alle imprese", 
"Amministrazione pubblica", 
"Istruzione; Sanit e altri servizi sociali; Altri servizi pubblici, sociali e personali")) 


classe_addetti_Fact <- factor(Ril229_A2006$classe_addetti, 
levels=c(1, 
2, 
3, 
4, 
5), 
labels=c("fino a 9", 
"da 10 a 19", 
"da 20 a 49", 
"da 50 a 249", 
"250 e pi")) 


forma_giuridica_Fact <- factor(Ril229_A2006$forma_giuridica, 
levels=c(1, 
2, 
3, 
4, 
5, 
6), 
labels=c("Imprenditore individuale, libero professionista e lavoratore autonomo", 
"Societa di persone", 
"Societa Cooperativa", 
"Altre forme disciplinate dal diritto privato", 
"Forme disciplinate dal diritto pubblico", 
"Societ di capitali")) 


livello_di_sgravio_Fact <- factor(Ril229_A2006$livello_di_sgravio, 
levels=c(1, 
2, 
3, 
4), 
labels=c("100%", 
"50%", 
"40%", 
"25%")) 

